Bug 473591 - Review Request: iFuse - Mount Apple iPhone and iPod touch devices
Review Request: iFuse - Mount Apple iPhone and iPod touch devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On: 473590
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 11:20 EST by Peter Robinson
Modified: 2008-12-18 12:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 12:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwmw2: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-11-29 11:20:09 EST
SPEC: http://pbrobinson.fedorapeople.org/ifuse.spec
SRPM: http://pbrobinson.fedorapeople.org/ifuse-0.1.0-1.fc10.src.rpm

A fuse filesystem for mounting iPhone and iPod touch devices
Comment 1 Peter Robinson 2008-12-01 18:31:22 EST
Updated spec for git packaging guidelines

SPEC: http://pbrobinson.fedorapeople.org/ifuse.spec
SRPM: http://pbrobinson.fedorapeople.org/ifuse-0.1.0-2.d159256.fc10.src.rpm
Comment 2 Peter Robinson 2008-12-02 05:09:13 EST
Improved and simplified the git package creation.

SRPM: http://pbrobinson.fedorapeople.org/ifuse-0.1.0-3.20081201gitd159256.fc10.src.rpm
Comment 4 David Woodhouse 2008-12-16 13:02:23 EST
ifuse.src: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 18)
ifuse.x86_64: W: incoherent-version-in-changelog 0.1.0-4 ['0.1.0-4.20081214gitb0412bf.fc11', '0.1.0-4.20081214gitb0412bf']
Comment 5 David Woodhouse 2008-12-16 13:16:33 EST
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

You should add 'Requires: hal' because you place a file in %{_datadir}/hal/fdi/information/20thirdparty
Comment 6 David Woodhouse 2008-12-16 13:20:01 EST
Looks good to me other than the above. When those are fixed, approved.
Comment 7 Peter Robinson 2008-12-16 13:33:20 EST
Are we suppose to put the full build string in the changelog. I've only put the
initial rev number, I've seen both done.

There's a new version with the rest fixed here http://pbrobinson.fedorapeople.org/ifuse-0.1.0-5.20081214gitb0412bf.fc10.src.rpm
Comment 8 David Woodhouse 2008-12-16 13:43:40 EST
Allegedly rpmlint will let you omit %{dist} from the changelog but nothing else. It's not entirely clear that the packaging guidelines are so strict. https://fedoraproject.org/wiki/PackagingGuidelines#Changelogs doesn't go into detail.

Personally, I think it's more readable as you had it before.
Comment 9 Peter Robinson 2008-12-16 13:54:10 EST
I agree, I've seen ones with just the build like I had, and with the git ammended. I think its more readable and it seems there's a mix. Thanks.
Comment 10 Peter Robinson 2008-12-16 14:13:12 EST
New Package CVS Request
=======================
Package Name: ifuse
Short Description: Mount Apple iPhone and iPod touch devices
Owners: pbrobinson
Branches: F-9 F-10
Comment 11 Kevin Fenzi 2008-12-17 16:54:05 EST
cvs done.
Comment 12 Peter Robinson 2008-12-18 12:36:02 EST
Committed to cvs, build and landed in rawhide

Note You need to log in before you can comment on or make changes to this bug.